> ## Documentation Index
> Fetch the complete documentation index at: https://unevenlabs-docs-drift-src-e75dd20fcc-44c100b.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Price

> This API returns the price of a token on a specific chain.



## OpenAPI

````yaml get /currencies/token/price
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /currencies/token/price:
    get:
      parameters:
        - schema:
            type: string
          in: query
          name: address
          required: true
          description: Token address to get price for
        - schema:
            type: number
          in: query
          name: chainId
          required: true
          description: Chain ID of the token
        - schema:
            type: string
          in: header
          name: x-api-key
          required: false
          description: Optional API key for authentication and higher rate limits.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  price:
                    type: number
                    description: Token price in USD
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message

````